import * as riot from 'riot';
import TinyConsent from './src/TinyConsent.riot';
import TinyConsentButton from './src/TinyConsentButton.riot';

riot.register('tiny-consent', TinyConsent);
riot.register('tiny-consent-button', TinyConsentButton);

const data = {
    cookies: [{
        title: 'Matomo',
        name: 'matamo_',
        id: 'matamo',
        content: 'Cookie from Matamo for Website-Analytics. Creates statiscial Data how the User uses this Website',
        provider: 'Tentakelfabrik.de',
        duration: '1 Year',
        privacy_policy: 'https://tentakelfabrik.de/datenschutzerklarung',
        handleAgree: function() {
            console.log('agree');
        },
        handleReject: function() {
            console.log('reject');
        }
    },{
        title: 'Tiny Consent',
        id: 'tiny_consent',
        name: 'tiny_consent',
        content: 'Saves the Settings of Cookies from Tiny Consent',
        provider: 'Owner of this Site',
        duration: '1 Year',
        essential: true
    }, {
        title: 'Wordpress',
        id: 'wordpress',
        name: 'wordpress_',
        content: 'Wordpress is using Session Cookie to handle the Login',
        provider: 'Owner of this Site',
        duration: '1 Year',
        essential: true
    },{
        title: 'Wordpress - WooCommerce',
        id: 'wordpress',
        name: 'wordpress_',
        content: 'WooCommerce is a Shop-Plugin for Wordpress. Cookies will be used for the Cart',
        provider: 'Owner of this Site',
        duration: '1 Year',
        essential: true
    }]
};

riot.mount('tiny-consent', data);
riot.mount('tiny-consent-button');